import { View } from "@tarojs/components";

import "./index.less";

export default function () {
  const richTextTemplate = `
  <article>
    <h1>文章标题</h1>
    <p>这是一段介绍性的文字，用于概述文章的主要内容。这里可以包含一些重要的信息，帮助读者快速了解文章的主题。</p>
    
    <h2>子标题一</h2>
    <p>这是第一部分内容，详细介绍了某个方面的细节。可以包含多个段落，每个段落都围绕一个中心思想展开。</p>
    <ul>
      <li>列表项一</li>
      <li>列表项二</li>
      <li>列表项三</li>
    </ul>
    
    <h2>子标题二</h2>
    <p>这是第二部分内容，继续深入探讨另一个方面。同样可以包含多个段落，每个段落都围绕一个中心思想展开。</p>
    <ol>
      <li>有序列表项一</li>
      <li>有序列表项二</li>
      <li>有序列表项三</li>
    </ol>
    
    <h3>小标题</h3>
    <p>这是更细粒度的小标题，可以用来进一步细分内容。</p>
    
  
    <p>这张图片展示了某个具体的内容，有助于更好地理解文章中的某些观点。</p>
    
    <blockquote>
      <p>这是一个引用块，通常用来引用别人的观点或者展示一段重要的文字。</p>
    </blockquote>
    
    <a href="https://example.com">点击访问示例网站</a>
    <p>这是一个链接，点击它可以跳转到另一个页面。</p>
    
    <hr />
    <p>这里是文章的结尾部分，可以总结全文，也可以提出一些后续的思考问题。</p>
  </article>
`;

  return (
    <View className="article-container">
      <View dangerouslySetInnerHTML={{ __html: richTextTemplate }}></View>
    </View>
  );
}
