declare interface Resp<T> {
  code: number;
  msg?: string;
  data: T;
}
declare namespace API {
  interface LoginRespDto {
    access_token: string;
    user_info: {
      nickname: string | null;
    };
  }
  interface UserInfoRespDto {
    appUser: {
      id: string;
      nickname: string;
      avatar: string;
      mobile: string
    };
  }

  interface TypeOfLegalPerson {
    id: string;
    name: string;

  }

  interface PropsWithPagination<T extends Record<string, any> = Record<string, any>> {
    nextPage: number;
    pageNum: number;
    pageSize: number;
    pages: number;
    prePage: number;
    size: number;
    startRow: number;
    total: number;
    list: T[]
    hasNextPage: boolean;
  }

  interface StatisticsDto {
    collectionTotal: string
    signTotal: string
    weightSum: string
  }

  interface RecommendDto {
    businessId: string;
    businessName: string;
    type: string;
  }

  interface CarListDot {
    label: string;
    value: string;
  }

  interface MerchantsListDot {
    name: string;
    value: string;
  }

  interface SignListDto {
    businessId: string;
    businessName: string;
    signTime: string;
  }

  interface CollectionListDto {
    businessId: string
    businessName: string
    carNum: string
    collectionId: string
    collectionName: string
    collectionTime: string
    createdBy: string
    createdTime: string
    id: string
    isDeleted: string
    personnelName: string
    updatedTime: string
    updayedBy: string
    weight: string
  }
}
