import api from "@/services/core/api";
export function buildListByGroupId(target) {
  const groupList = [] as any[];

  const groupMap = {};

  target.forEach((formConfig) => {
    if (!groupMap[formConfig?.groupId]) {
      groupMap[formConfig?.groupId] = [];
    }
    groupMap[formConfig?.groupId].push(formConfig);
  });

  for (const groupId in groupMap) {
    if (groupMap.hasOwnProperty(groupId)) {
      groupList.push({
        groupId: groupId,
        list: groupMap[groupId],
      });
    }
  }

  return groupList;
}

export function composeImgUrl(imgStr?: string) {
  if (!imgStr) {
    return "";
  }
  return `${api.assetsUrl}${imgStr}`;
}

export function inversionSerializationRule(inputStr) {
  let value = JSON.parse(inputStr);

  if (Array.isArray(value) && value.length > 0) {
    const regexString = value[0].pattern.slice(1, -1);
    value[0].pattern = new RegExp(regexString);
  }

  return value;
}
